vich_uploader:
    db_driver: orm
    metadata:
        type: attribute
    mappings:
        product_image:
            uri_prefix: /products/images
            upload_destination: "%kernel.project_dir%/storage/products/images"
            namer: App\Namer\UUIDNamer
            delete_on_remove: true
            delete_on_update: true
        product_spec:
            uri_prefix: /products/specs
            upload_destination: "%kernel.project_dir%/storage/products/specs"
            namer: App\Namer\UUIDNamer
            delete_on_remove: true
            delete_on_update: true
        attachment_file:
            uri_prefix: /attachments
            upload_destination: "%kernel.project_dir%/storage/attachments"
            namer: App\Namer\UUIDNamer
            delete_on_remove: true
            delete_on_update: true
